{config, ...}: {
  imports = [
    # Common modules
    ./home.nix
    ./users/jimbo.nix
    ./tuiapps/git.nix
  ];

  # Rebuild this entire system
  programs.zsh = {
    shellAliases = let
      auth = import ./common/auth.nix;
    in {
      sysdate = "${auth.method} nixos-rebuild switch --flake /etc/nixos/.#JimServer";
      homedate = "home-manager switch --flake /etc/nixos/.#jimbo@JimServer";
      nixdate = "sysdate; homedate";
    };
  };

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  home.stateVersion = "24.05";
}
